通知ハンドラー

GET https://koenavi.jp/api/notification-handlers/
curl --request GET \
--url 'https://koenavi.jp/api/notification-handlers/' \
--header 'Authorization: Bearer {api_key}' \
パラメータ 詳細 説明
search 任意 文字列 (String) 検索文字列。
search_by 任意 文字列 (String) 検索対象フィールド。許可値: name。
is_enabled 任意 真偽値 (Boolean)
type 任意 文字列 (String) 検索対象フィールド。許可値: email, webhook, slack, discord, telegram, microsoft_teams, ntfy。
datetime_field 任意 文字列 (String) 許可される値: datetime, last_datetime
datetime_start 任意 文字列 (String) 開始日時(Y-m-d H:i:s 形式)。
datetime_end 任意 文字列 (String) 終了日時(Y-m-d H:i:s 形式)。
order_by 任意 文字列 (String) 並び替え対象フィールド。許可値: notification_handler_id, datetime, last_datetime, name。
order_type 任意 文字列 (String) 並び順。昇順は ASC、降順は DESC。
search 任意 文字列 (String) 検索文字列。
search_by 任意 文字列 (String) 検索対象フィールド。許可値: name。
is_enabled 任意 真偽値 (Boolean)
type 任意 文字列 (String) 検索対象フィールド。許可値: email, webhook, slack, discord, telegram, microsoft_teams, ntfy。
datetime_field 任意 文字列 (String) 許可される値: datetime, last_datetime
datetime_start 任意 文字列 (String) 開始日時(Y-m-d H:i:s 形式)。
datetime_end 任意 文字列 (String) 終了日時(Y-m-d H:i:s 形式)。
order_by 任意 文字列 (String) 並び替え対象フィールド。許可値: notification_handler_id, datetime, last_datetime, name。
order_type 任意 文字列 (String) 並び順。昇順は ASC、降順は DESC。
page 任意 整数 (Integer) 取得するページ番号(初期値: 1)。
results_per_page 任意 整数 (Integer) 1ページあたりの取得件数。許可値: 10, 25, 50, 100, 250, 500, 1000(初期値: 25)。
{
    "data": [
        {
            "id": 1,
            "user_id": 1,
            "type": "email",
            "name": "Work email",
            "settings": {
                "email": "hey@example.com"
            },
            "is_enabled": 1,
            "last_datetime": null,
            "datetime": "2026-10-17 23:20:14"
        }
    ],
    "meta": {
        "page": 1,
        "total_pages": 1,
        "results_per_page": 25,
        "total_results": 1
    },
    "links": {
        "first": "https://koenavi.jp/api/notification-handlers?page=1",
        "last": "https://koenavi.jp/api/notification-handlers?page=1",
        "next": null,
        "prev": null,
        "self": "https://koenavi.jp/api/notification-handlers?page=1"
    }
}
GET https://koenavi.jp/api/notification-handlers/{notification_handler_id}
curl --request GET \
--url 'https://koenavi.jp/api/notification-handlers/{notification_handler_id}' \
--header 'Authorization: Bearer {api_key}' \
{
    "data": {
        "id": 1,
        "user_id": 1,
        "type": "email",
        "name": "Work email",
        "settings": {
            "email": "hey@example.com"
        },
        "is_enabled": 1,
        "last_datetime": null,
        "datetime": "2026-10-17 23:20:14"
    }
}
POST https://koenavi.jp/api/notification-handlers
パラメータ 詳細 説明
name 必須 文字列 (String) -
type 必須 文字列 (String) 許可される値: email, webhook, slack, discord, telegram, microsoft_teams, ntfy
email 任意 文字列 (String) 利用条件: type = email 通知先メールアドレス
webhook 任意 文字列 (String) 利用条件: type = webhook Webhook URL
slack 任意 文字列 (String) 利用条件: type = slack Slack Webhook URL
discord 任意 文字列 (String) 利用条件: type = discord Discord Webhook URL
telegram 任意 文字列 (String) 利用条件: type = telegram Telegram APIトークン
telegram_chat_id 任意 文字列 (String) 利用条件: type = telegram Telegram チャットID
microsoft_teams 任意 文字列 (String) 利用条件: type = microsoft_teams Microsoft Teams Webhook URL
ntfy 任意 文字列 (String) 利用条件: type = ntfy ntfy トピックURL
curl --request POST \
--url 'https://koenavi.jp/api/notification-handlers' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example' \
--form 'type=email' \
--form 'email=hello@example.com' \
{
    "data": {
        "id": 1,
        "user_id": 1,
        "type": "email",
        "name": "Work email",
        "settings": {
            "email": "hello@example.com"
        },
        "is_enabled": 1,
        "last_datetime": null,
        "datetime": "2026-10-17 23:20:14"
    }
}
POST https://koenavi.jp/api/notification-handlers/{notification_handler_id}
パラメータ 詳細 説明
name 任意 文字列 (String) -
type 任意 文字列 (String) 許可される値: email, webhook, slack, discord, telegram, microsoft_teams, ntfy
email 任意 文字列 (String) 利用条件: type = email 通知先メールアドレス
webhook 任意 文字列 (String) 利用条件: type = webhook Webhook URL
slack 任意 文字列 (String) 利用条件: type = slack Slack Webhook URL
discord 任意 文字列 (String) 利用条件: type = discord Discord Webhook URL
telegram 任意 文字列 (String) 利用条件: type = telegram Telegram APIトークン
telegram_chat_id 任意 文字列 (String) 利用条件: type = telegram Telegram チャットID
microsoft_teams 任意 文字列 (String) 利用条件: type = microsoft_teams Microsoft Teams Webhook URL
ntfy 任意 文字列 (String) 利用条件: type = ntfy ntfy トピックURL
is_enabled 任意 真偽値 (Boolean) -
curl --request POST \
--url 'https://koenavi.jp/api/notification-handlers/{notification_handler_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example new name' \
--form 'is_enabled=1' \
{
    "data": {
        "id": 1,
        "user_id": 1,
        "type": "email",
        "name": "Example new name",
        "settings": {
            "email": "hello@example.com"
        },
        "is_enabled": 1,
        "last_datetime": "2026-10-17 23:20:14",
        "datetime": "2026-10-17 23:20:14"
    }
}
DELETE https://koenavi.jp/api/notification-handlers/{notification_handler_id}
curl --request DELETE \
--url 'https://koenavi.jp/api/notification-handlers/{notification_handler_id}' \
--header 'Authorization: Bearer {api_key}' \